package view;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JDialog;
import javax.swing.JLabel;

public class OptionsDialog extends JDialog {

    private static final long serialVersionUID = 1L;

    private ArrayList< ActionListener > listeners;
    private JComboBox<String> display;
    private JButton speichern;
    
    private static class Options
    {
        public int layoutDisplaySelection = 0;
    }
    
    private Options options;
    
    OptionsDialog()
    {
        setTitle( "Optionen" );
        setLayout( new GridLayout( 2, 2 ) );
        add( new JLabel( "Dilspay layouts:" ) );
        String[] displayValues = { "All", "Current" };
        display = new JComboBox<String>( displayValues );
        add( display );
        add( new JLabel() );
        speichern = new JButton( "Ok" );
        speichern.addActionListener( new ActionListener() {

            @Override
            public void actionPerformed(ActionEvent e) {
                try {
                    boolean change = options.layoutDisplaySelection != display.getSelectedIndex();
                    options.layoutDisplaySelection = display.getSelectedIndex();
                    if( change )
                    {
                        for( ActionListener l : listeners )
                        {
                            l.actionPerformed( new ActionEvent(this, 0, "Options changed" ) );
                        }
                    }
                    setVisible( false );
                } catch( Exception e1 )
                {
                    e1.printStackTrace();
                }
            }
            
        });
        add( speichern );
        setSize( 300, 200 );
        listeners = new ArrayList<ActionListener>();
        options = new Options();
    }
    
    public int getLayerDisplayOption()
    {
        return options.layoutDisplaySelection;
    }
    
    public void addActionListener( ActionListener al )
    {
        listeners.add( al );
    }
}
